doctrine:
    dbal:
        url: '%env(resolve:DATABASE_URL)%'
        driver: 'pdo_mysql'
        server_version: '8.0'
        charset: utf8mb4
        default_table_options:
            charset: utf8mb4
            collate: utf8mb4_unicode_ci

    orm:
        auto_generate_proxy_classes: true
        enable_lazy_ghost_objects: true
        report_fields_where_declared: true
        validate_xml_mapping: true
        naming_strategy: doctrine.orm.naming_strategy.underscore_number_aware
        auto_mapping: false
        mappings:
            Core:
                is_bundle: false
                type: attribute
                dir: '%kernel.project_dir%/src/Core/Domain/Model'
                prefix: 'App\Core\Domain\Model'
                alias: Core
            Student:
                is_bundle: false
                type: attribute
                dir: '%kernel.project_dir%/src/Student/Domain/Entity'
                prefix: 'App\Student\Domain\Entity'
                alias: Student
            Teacher:
                is_bundle: false
                type: attribute
                dir: '%kernel.project_dir%/src/Teacher/Domain/Entity'
                prefix: 'App\Teacher\Domain\Entity'
                alias: Teacher
            Faculty:
                is_bundle: false
                type: attribute
                dir: '%kernel.project_dir%/src/Faculty/Domain/Entity'
                prefix: 'App\Faculty\Domain\Entity'
                alias: Faculty
            Course:
                is_bundle: false
                type: attribute
                dir: '%kernel.project_dir%/src/Course/Domain/Entity'
                prefix: 'App\Course\Domain\Entity'
                alias: Course
            Grade:
                is_bundle: false
                type: attribute
                dir: '%kernel.project_dir%/src/Grade/Domain/Entity'
                prefix: 'App\Grade\Domain\Entity'
                alias: Grade 